org.apache.poi.hwpf.model.types

## Class SEPAbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.SEPAbstractType

- Direct Known Subclasses:
    SectionProperties

      @Internal
      public abstract class SEPAbstractType
      extends java.lang.Object

  Section Properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `BKC_EVEN_PAGE` Even page
    `static byte` | `BKC_NEW_COLUMN` New column
    `static byte` | `BKC_NEW_PAGE` New page
    `static byte` | `BKC_NO_BREAK` No break
    `static byte` | `BKC_ODD_PAGE` Odd page
    `static boolean` | `DMORIENTPAGE_LANDSCAPE`
    `static boolean` | `DMORIENTPAGE_PORTRAIT`
    `protected byte` | `field_1_bkc`
    `protected byte` | `field_10_grpfIhdt`
    `protected int` | `field_11_nLnnMod`
    `protected int` | `field_12_dxaLnn`
    `protected int` | `field_13_dxaPgn`
    `protected int` | `field_14_dyaPgn`
    `protected boolean` | `field_15_fLBetween`
    `protected byte` | `field_16_vjc`
    `protected int` | `field_17_dmBinFirst`
    `protected int` | `field_18_dmBinOther`
    `protected int` | `field_19_dmPaperReq`
    `protected boolean` | `field_2_fTitlePage`
    `protected BorderCode` | `field_20_brcTop`
    `protected BorderCode` | `field_21_brcLeft`
    `protected BorderCode` | `field_22_brcBottom`
    `protected BorderCode` | `field_23_brcRight`
    `protected boolean` | `field_24_fPropMark`
    `protected int` | `field_25_ibstPropRMark`
    `protected DateAndTime` | `field_26_dttmPropRMark`
    `protected int` | `field_27_dxtCharSpace`
    `protected int` | `field_28_dyaLinePitch`
    `protected int` | `field_29_clm`
    `protected boolean` | `field_3_fAutoPgn`
    `protected int` | `field_30_unused2`
    `protected boolean` | `field_31_dmOrientPage`
    `protected byte` | `field_32_iHeadingPgn`
    `protected int` | `field_33_pgnStart`
    `protected int` | `field_34_lnnMin`
    `protected int` | `field_35_wTextFlow`
    `protected short` | `field_36_unused3`
    `protected int` | `field_37_pgbProp`
    `protected short` | `field_38_unused4`
    `protected int` | `field_39_xaPage`
    `protected byte` | `field_4_nfcPgn`
    `protected int` | `field_40_yaPage`
    `protected int` | `field_41_xaPageNUp`
    `protected int` | `field_42_yaPageNUp`
    `protected int` | `field_43_dxaLeft`
    `protected int` | `field_44_dxaRight`
    `protected int` | `field_45_dyaTop`
    `protected int` | `field_46_dyaBottom`
    `protected int` | `field_47_dzaGutter`
    `protected int` | `field_48_dyaHdrTop`
    `protected int` | `field_49_dyaHdrBottom`
    `protected boolean` | `field_5_fUnlocked`
    `protected int` | `field_50_ccolM1`
    `protected boolean` | `field_51_fEvenlySpaced`
    `protected byte` | `field_52_unused5`
    `protected int` | `field_53_dxaColumns`
    `protected int[]` | `field_54_rgdxaColumn`
    `protected int` | `field_55_dxaColumnWidth`
    `protected byte` | `field_56_dmOrientFirst`
    `protected byte` | `field_57_fLayout`
    `protected short` | `field_58_unused6`
    `protected byte[]` | `field_59_olstAnm`
    `protected byte` | `field_6_cnsPgn`
    `protected boolean` | `field_7_fPgnRestart`
    `protected boolean` | `field_8_fEndNote`
    `protected byte` | `field_9_lnc`
    `static byte` | `NFCPGN_ARABIC` Arabic
    `static byte` | `NFCPGN_LETTER_LOWER_CASE` Letter (lower case)
    `static byte` | `NFCPGN_LETTER_UPPER_CASE` Letter (upper case)
    `static byte` | `NFCPGN_ROMAN_LOWER_CASE` Roman (lower case)
    `static byte` | `NFCPGN_ROMAN_UPPER_CASE` Roman (upper case)

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SEPAbstractType()`
    `protected` | `SEPAbstractType(SEPAbstractType other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getBkc()` Break code.
    `BorderCode` | `getBrcBottom()` Get the brcBottom field for the SEP record.
    `BorderCode` | `getBrcLeft()` Get the brcLeft field for the SEP record.
    `BorderCode` | `getBrcRight()` Get the brcRight field for the SEP record.
    `BorderCode` | `getBrcTop()` Get the brcTop field for the SEP record.
    `int` | `getCcolM1()` Get the ccolM1 field for the SEP record.
    `int` | `getClm()` Get the clm field for the SEP record.
    `byte` | `getCnsPgn()` Get the cnsPgn field for the SEP record.
    `int` | `getDmBinFirst()` Get the dmBinFirst field for the SEP record.
    `int` | `getDmBinOther()` Get the dmBinOther field for the SEP record.
    `byte` | `getDmOrientFirst()` Get the dmOrientFirst field for the SEP record.
    `boolean` | `getDmOrientPage()` Get the dmOrientPage field for the SEP record.
    `int` | `getDmPaperReq()` Get the dmPaperReq field for the SEP record.
    `DateAndTime` | `getDttmPropRMark()` Get the dttmPropRMark field for the SEP record.
    `int` | `getDxaColumns()` Get the dxaColumns field for the SEP record.
    `int` | `getDxaColumnWidth()` Get the dxaColumnWidth field for the SEP record.
    `int` | `getDxaLeft()` Get the dxaLeft field for the SEP record.
    `int` | `getDxaLnn()` Get the dxaLnn field for the SEP record.
    `int` | `getDxaPgn()` Get the dxaPgn field for the SEP record.
    `int` | `getDxaRight()` Get the dxaRight field for the SEP record.
    `int` | `getDxtCharSpace()` Get the dxtCharSpace field for the SEP record.
    `int` | `getDyaBottom()` Get the dyaBottom field for the SEP record.
    `int` | `getDyaHdrBottom()` Get the dyaHdrBottom field for the SEP record.
    `int` | `getDyaHdrTop()` Get the dyaHdrTop field for the SEP record.
    `int` | `getDyaLinePitch()` Get the dyaLinePitch field for the SEP record.
    `int` | `getDyaPgn()` Get the dyaPgn field for the SEP record.
    `int` | `getDyaTop()` Get the dyaTop field for the SEP record.
    `int` | `getDzaGutter()` Get the dzaGutter field for the SEP record.
    `boolean` | `getFAutoPgn()` Only for Macintosh compatibility, used only during open, when 1, sep.dxaPgn and sep.dyaPgn are valid page number locations.
    `boolean` | `getFEndNote()` Get the fEndNote field for the SEP record.
    `boolean` | `getFEvenlySpaced()` Get the fEvenlySpaced field for the SEP record.
    `byte` | `getFLayout()` Get the fLayout field for the SEP record.
    `boolean` | `getFLBetween()` Get the fLBetween field for the SEP record.
    `boolean` | `getFPgnRestart()` Get the fPgnRestart field for the SEP record.
    `boolean` | `getFPropMark()` Get the fPropMark field for the SEP record.
    `boolean` | `getFTitlePage()` Set to 1 when a title page is to be displayed.
    `boolean` | `getFUnlocked()` Get the fUnlocked field for the SEP record.
    `byte` | `getGrpfIhdt()` Get the grpfIhdt field for the SEP record.
    `int` | `getIbstPropRMark()` Get the ibstPropRMark field for the SEP record.
    `byte` | `getIHeadingPgn()` Get the iHeadingPgn field for the SEP record.
    `byte` | `getLnc()` Get the lnc field for the SEP record.
    `int` | `getLnnMin()` Get the lnnMin field for the SEP record.
    `byte` | `getNfcPgn()` Page number format code.
    `int` | `getNLnnMod()` Get the nLnnMod field for the SEP record.
    `byte[]` | `getOlstAnm()` Get the olstAnm field for the SEP record.
    `int` | `getPgbProp()` Get the pgbProp field for the SEP record.
    `int` | `getPgnStart()` Get the pgnStart field for the SEP record.
    `int[]` | `getRgdxaColumn()` Get the rgdxaColumn field for the SEP record.
    `int` | `getUnused2()` Get the unused2 field for the SEP record.
    `short` | `getUnused3()` Get the unused3 field for the SEP record.
    `short` | `getUnused4()` Get the unused4 field for the SEP record.
    `byte` | `getUnused5()` Get the unused5 field for the SEP record.
    `short` | `getUnused6()` Get the unused6 field for the SEP record.
    `byte` | `getVjc()` Get the vjc field for the SEP record.
    `int` | `getWTextFlow()` Get the wTextFlow field for the SEP record.
    `int` | `getXaPage()` Get the xaPage field for the SEP record.
    `int` | `getXaPageNUp()` Get the xaPageNUp field for the SEP record.
    `int` | `getYaPage()` Get the yaPage field for the SEP record.
    `int` | `getYaPageNUp()` Get the yaPageNUp field for the SEP record.
    `void` | `setBkc(byte field_1_bkc)` Break code.
    `void` | `setBrcBottom(BorderCode field_22_brcBottom)` Set the brcBottom field for the SEP record.
    `void` | `setBrcLeft(BorderCode field_21_brcLeft)` Set the brcLeft field for the SEP record.
    `void` | `setBrcRight(BorderCode field_23_brcRight)` Set the brcRight field for the SEP record.
    `void` | `setBrcTop(BorderCode field_20_brcTop)` Set the brcTop field for the SEP record.
    `void` | `setCcolM1(int field_50_ccolM1)` Set the ccolM1 field for the SEP record.
    `void` | `setClm(int field_29_clm)` Set the clm field for the SEP record.
    `void` | `setCnsPgn(byte field_6_cnsPgn)` Set the cnsPgn field for the SEP record.
    `void` | `setDmBinFirst(int field_17_dmBinFirst)` Set the dmBinFirst field for the SEP record.
    `void` | `setDmBinOther(int field_18_dmBinOther)` Set the dmBinOther field for the SEP record.
    `void` | `setDmOrientFirst(byte field_56_dmOrientFirst)` Set the dmOrientFirst field for the SEP record.
    `void` | `setDmOrientPage(boolean field_31_dmOrientPage)` Set the dmOrientPage field for the SEP record.
    `void` | `setDmPaperReq(int field_19_dmPaperReq)` Set the dmPaperReq field for the SEP record.
    `void` | `setDttmPropRMark(DateAndTime field_26_dttmPropRMark)` Set the dttmPropRMark field for the SEP record.
    `void` | `setDxaColumns(int field_53_dxaColumns)` Set the dxaColumns field for the SEP record.
    `void` | `setDxaColumnWidth(int field_55_dxaColumnWidth)` Set the dxaColumnWidth field for the SEP record.
    `void` | `setDxaLeft(int field_43_dxaLeft)` Set the dxaLeft field for the SEP record.
    `void` | `setDxaLnn(int field_12_dxaLnn)` Set the dxaLnn field for the SEP record.
    `void` | `setDxaPgn(int field_13_dxaPgn)` Set the dxaPgn field for the SEP record.
    `void` | `setDxaRight(int field_44_dxaRight)` Set the dxaRight field for the SEP record.
    `void` | `setDxtCharSpace(int field_27_dxtCharSpace)` Set the dxtCharSpace field for the SEP record.
    `void` | `setDyaBottom(int field_46_dyaBottom)` Set the dyaBottom field for the SEP record.
    `void` | `setDyaHdrBottom(int field_49_dyaHdrBottom)` Set the dyaHdrBottom field for the SEP record.
    `void` | `setDyaHdrTop(int field_48_dyaHdrTop)` Set the dyaHdrTop field for the SEP record.
    `void` | `setDyaLinePitch(int field_28_dyaLinePitch)` Set the dyaLinePitch field for the SEP record.
    `void` | `setDyaPgn(int field_14_dyaPgn)` Set the dyaPgn field for the SEP record.
    `void` | `setDyaTop(int field_45_dyaTop)` Set the dyaTop field for the SEP record.
    `void` | `setDzaGutter(int field_47_dzaGutter)` Set the dzaGutter field for the SEP record.
    `void` | `setFAutoPgn(boolean field_3_fAutoPgn)` Only for Macintosh compatibility, used only during open, when 1, sep.dxaPgn and sep.dyaPgn are valid page number locations.
    `void` | `setFEndNote(boolean field_8_fEndNote)` Set the fEndNote field for the SEP record.
    `void` | `setFEvenlySpaced(boolean field_51_fEvenlySpaced)` Set the fEvenlySpaced field for the SEP record.
    `void` | `setFLayout(byte field_57_fLayout)` Set the fLayout field for the SEP record.
    `void` | `setFLBetween(boolean field_15_fLBetween)` Set the fLBetween field for the SEP record.
    `void` | `setFPgnRestart(boolean field_7_fPgnRestart)` Set the fPgnRestart field for the SEP record.
    `void` | `setFPropMark(boolean field_24_fPropMark)` Set the fPropMark field for the SEP record.
    `void` | `setFTitlePage(boolean field_2_fTitlePage)` Set to 1 when a title page is to be displayed.
    `void` | `setFUnlocked(boolean field_5_fUnlocked)` Set the fUnlocked field for the SEP record.
    `void` | `setGrpfIhdt(byte field_10_grpfIhdt)` Set the grpfIhdt field for the SEP record.
    `void` | `setIbstPropRMark(int field_25_ibstPropRMark)` Set the ibstPropRMark field for the SEP record.
    `void` | `setIHeadingPgn(byte field_32_iHeadingPgn)` Set the iHeadingPgn field for the SEP record.
    `void` | `setLnc(byte field_9_lnc)` Set the lnc field for the SEP record.
    `void` | `setLnnMin(int field_34_lnnMin)` Set the lnnMin field for the SEP record.
    `void` | `setNfcPgn(byte field_4_nfcPgn)` Page number format code.
    `void` | `setNLnnMod(int field_11_nLnnMod)` Set the nLnnMod field for the SEP record.
    `void` | `setOlstAnm(byte[] field_59_olstAnm)` Set the olstAnm field for the SEP record.
    `void` | `setPgbProp(int field_37_pgbProp)` Set the pgbProp field for the SEP record.
    `void` | `setPgnStart(int field_33_pgnStart)` Set the pgnStart field for the SEP record.
    `void` | `setRgdxaColumn(int[] field_54_rgdxaColumn)` Set the rgdxaColumn field for the SEP record.
    `void` | `setUnused2(int field_30_unused2)` Set the unused2 field for the SEP record.
    `void` | `setUnused3(short field_36_unused3)` Set the unused3 field for the SEP record.
    `void` | `setUnused4(short field_38_unused4)` Set the unused4 field for the SEP record.
    `void` | `setUnused5(byte field_52_unused5)` Set the unused5 field for the SEP record.
    `void` | `setUnused6(short field_58_unused6)` Set the unused6 field for the SEP record.
    `void` | `setVjc(byte field_16_vjc)` Set the vjc field for the SEP record.
    `void` | `setWTextFlow(int field_35_wTextFlow)` Set the wTextFlow field for the SEP record.
    `void` | `setXaPage(int field_39_xaPage)` Set the xaPage field for the SEP record.
    `void` | `setXaPageNUp(int field_41_xaPageNUp)` Set the xaPageNUp field for the SEP record.
    `void` | `setYaPage(int field_40_yaPage)` Set the yaPage field for the SEP record.
    `void` | `setYaPageNUp(int field_42_yaPageNUp)` Set the yaPageNUp field for the SEP record.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BKC_NO_BREAK

          public static final byte BKC_NO_BREAK

      No break
      See Also:
        Constant Field Values

    - #### BKC_NEW_COLUMN

          public static final byte BKC_NEW_COLUMN

      New column
      See Also:
        Constant Field Values

    - #### BKC_NEW_PAGE

          public static final byte BKC_NEW_PAGE

      New page
      See Also:
        Constant Field Values

    - #### BKC_EVEN_PAGE

          public static final byte BKC_EVEN_PAGE

      Even page
      See Also:
        Constant Field Values

    - #### BKC_ODD_PAGE

          public static final byte BKC_ODD_PAGE

      Odd page
      See Also:
        Constant Field Values

    - #### NFCPGN_ARABIC

          public static final byte NFCPGN_ARABIC

      Arabic
      See Also:
        Constant Field Values

    - #### NFCPGN_ROMAN_UPPER_CASE

          public static final byte NFCPGN_ROMAN_UPPER_CASE

      Roman (upper case)
      See Also:
        Constant Field Values

    - #### NFCPGN_ROMAN_LOWER_CASE

          public static final byte NFCPGN_ROMAN_LOWER_CASE

      Roman (lower case)
      See Also:
        Constant Field Values

    - #### NFCPGN_LETTER_UPPER_CASE

          public static final byte NFCPGN_LETTER_UPPER_CASE

      Letter (upper case)
      See Also:
        Constant Field Values

    - #### NFCPGN_LETTER_LOWER_CASE

          public static final byte NFCPGN_LETTER_LOWER_CASE

      Letter (lower case)
      See Also:
        Constant Field Values

    - #### DMORIENTPAGE_LANDSCAPE

          public static final boolean DMORIENTPAGE_LANDSCAPE

      See Also:
        Constant Field Values

    - #### DMORIENTPAGE_PORTRAIT

          public static final boolean DMORIENTPAGE_PORTRAIT

      See Also:
        Constant Field Values

    - #### field_1_bkc

          protected byte field_1_bkc

    - #### field_2_fTitlePage

          protected boolean field_2_fTitlePage

    - #### field_3_fAutoPgn

          protected boolean field_3_fAutoPgn

    - #### field_4_nfcPgn

          protected byte field_4_nfcPgn

    - #### field_5_fUnlocked

          protected boolean field_5_fUnlocked

    - #### field_6_cnsPgn

          protected byte field_6_cnsPgn

    - #### field_7_fPgnRestart

          protected boolean field_7_fPgnRestart

    - #### field_8_fEndNote

          protected boolean field_8_fEndNote

    - #### field_9_lnc

          protected byte field_9_lnc

    - #### field_10_grpfIhdt

          protected byte field_10_grpfIhdt

    - #### field_11_nLnnMod

          protected int field_11_nLnnMod

    - #### field_12_dxaLnn

          protected int field_12_dxaLnn

    - #### field_13_dxaPgn

          protected int field_13_dxaPgn

    - #### field_14_dyaPgn

          protected int field_14_dyaPgn

    - #### field_15_fLBetween

          protected boolean field_15_fLBetween

    - #### field_16_vjc

          protected byte field_16_vjc

    - #### field_17_dmBinFirst

          protected int field_17_dmBinFirst

    - #### field_18_dmBinOther

          protected int field_18_dmBinOther

    - #### field_19_dmPaperReq

          protected int field_19_dmPaperReq

    - #### field_20_brcTop

          protected BorderCode field_20_brcTop

    - #### field_21_brcLeft

          protected BorderCode field_21_brcLeft

    - #### field_22_brcBottom

          protected BorderCode field_22_brcBottom

    - #### field_23_brcRight

          protected BorderCode field_23_brcRight

    - #### field_24_fPropMark

          protected boolean field_24_fPropMark

    - #### field_25_ibstPropRMark

          protected int field_25_ibstPropRMark

    - #### field_26_dttmPropRMark

          protected DateAndTime field_26_dttmPropRMark

    - #### field_27_dxtCharSpace

          protected int field_27_dxtCharSpace

    - #### field_28_dyaLinePitch

          protected int field_28_dyaLinePitch

    - #### field_29_clm

          protected int field_29_clm

    - #### field_30_unused2

          protected int field_30_unused2

    - #### field_31_dmOrientPage

          protected boolean field_31_dmOrientPage

    - #### field_32_iHeadingPgn

          protected byte field_32_iHeadingPgn

    - #### field_33_pgnStart

          protected int field_33_pgnStart

    - #### field_34_lnnMin

          protected int field_34_lnnMin

    - #### field_35_wTextFlow

          protected int field_35_wTextFlow

    - #### field_36_unused3

          protected short field_36_unused3

    - #### field_37_pgbProp

          protected int field_37_pgbProp

    - #### field_38_unused4

          protected short field_38_unused4

    - #### field_39_xaPage

          protected int field_39_xaPage

    - #### field_40_yaPage

          protected int field_40_yaPage

    - #### field_41_xaPageNUp

          protected int field_41_xaPageNUp

    - #### field_42_yaPageNUp

          protected int field_42_yaPageNUp

    - #### field_43_dxaLeft

          protected int field_43_dxaLeft

    - #### field_44_dxaRight

          protected int field_44_dxaRight

    - #### field_45_dyaTop

          protected int field_45_dyaTop

    - #### field_46_dyaBottom

          protected int field_46_dyaBottom

    - #### field_47_dzaGutter

          protected int field_47_dzaGutter

    - #### field_48_dyaHdrTop

          protected int field_48_dyaHdrTop

    - #### field_49_dyaHdrBottom

          protected int field_49_dyaHdrBottom

    - #### field_50_ccolM1

          protected int field_50_ccolM1

    - #### field_51_fEvenlySpaced

          protected boolean field_51_fEvenlySpaced

    - #### field_52_unused5

          protected byte field_52_unused5

    - #### field_53_dxaColumns

          protected int field_53_dxaColumns

    - #### field_54_rgdxaColumn

          protected int[] field_54_rgdxaColumn

    - #### field_55_dxaColumnWidth

          protected int field_55_dxaColumnWidth

    - #### field_56_dmOrientFirst

          protected byte field_56_dmOrientFirst

    - #### field_57_fLayout

          protected byte field_57_fLayout

    - #### field_58_unused6

          protected short field_58_unused6

    - #### field_59_olstAnm

          protected byte[] field_59_olstAnm

  - ### Constructor Detail

    - #### SEPAbstractType

          protected SEPAbstractType()

    - #### SEPAbstractType

          protected SEPAbstractType(SEPAbstractType other)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getBkc

          public byte getBkc()

      Break code.
      Returns:
        One of
    - `BKC_NO_BREAK`
    - `BKC_NEW_COLUMN`
    - `BKC_NEW_PAGE`
    - `BKC_EVEN_PAGE`
    - `BKC_ODD_PAGE`

    - #### setBkc

          public void setBkc(byte field_1_bkc)

      Break code.
      Parameters:
        `field_1_bkc` - One of
    - `BKC_NO_BREAK`
    - `BKC_NEW_COLUMN`
    - `BKC_NEW_PAGE`
    - `BKC_EVEN_PAGE`
    - `BKC_ODD_PAGE`

    - #### getFTitlePage

          public boolean getFTitlePage()

      Set to 1 when a title page is to be displayed.

    - #### setFTitlePage

          public void setFTitlePage(boolean field_2_fTitlePage)

      Set to 1 when a title page is to be displayed.

    - #### getFAutoPgn

          public boolean getFAutoPgn()

      Only for Macintosh compatibility, used only during open, when 1, sep.dxaPgn and sep.dyaPgn are valid page number locations.

    - #### setFAutoPgn

          public void setFAutoPgn(boolean field_3_fAutoPgn)

      Only for Macintosh compatibility, used only during open, when 1, sep.dxaPgn and sep.dyaPgn are valid page number locations.

    - #### getNfcPgn

          public byte getNfcPgn()

      Page number format code.
      Returns:
        One of
    - `NFCPGN_ARABIC`
    - `NFCPGN_ROMAN_UPPER_CASE`
    - `NFCPGN_ROMAN_LOWER_CASE`
    - `NFCPGN_LETTER_UPPER_CASE`
    - `NFCPGN_LETTER_LOWER_CASE`

    - #### setNfcPgn

          public void setNfcPgn(byte field_4_nfcPgn)

      Page number format code.
      Parameters:
        `field_4_nfcPgn` - One of
    - `NFCPGN_ARABIC`
    - `NFCPGN_ROMAN_UPPER_CASE`
    - `NFCPGN_ROMAN_LOWER_CASE`
    - `NFCPGN_LETTER_UPPER_CASE`
    - `NFCPGN_LETTER_LOWER_CASE`

    - #### getFUnlocked

          public boolean getFUnlocked()

      Get the fUnlocked field for the SEP record.

    - #### setFUnlocked

          public void setFUnlocked(boolean field_5_fUnlocked)

      Set the fUnlocked field for the SEP record.

    - #### getCnsPgn

          public byte getCnsPgn()

      Get the cnsPgn field for the SEP record.

    - #### setCnsPgn

          public void setCnsPgn(byte field_6_cnsPgn)

      Set the cnsPgn field for the SEP record.

    - #### getFPgnRestart

          public boolean getFPgnRestart()

      Get the fPgnRestart field for the SEP record.

    - #### setFPgnRestart

          public void setFPgnRestart(boolean field_7_fPgnRestart)

      Set the fPgnRestart field for the SEP record.

    - #### getFEndNote

          public boolean getFEndNote()

      Get the fEndNote field for the SEP record.

    - #### setFEndNote

          public void setFEndNote(boolean field_8_fEndNote)

      Set the fEndNote field for the SEP record.

    - #### getLnc

          public byte getLnc()

      Get the lnc field for the SEP record.

    - #### setLnc

          public void setLnc(byte field_9_lnc)

      Set the lnc field for the SEP record.

    - #### getGrpfIhdt

          public byte getGrpfIhdt()

      Get the grpfIhdt field for the SEP record.

    - #### setGrpfIhdt

          public void setGrpfIhdt(byte field_10_grpfIhdt)

      Set the grpfIhdt field for the SEP record.

    - #### getNLnnMod

          public int getNLnnMod()

      Get the nLnnMod field for the SEP record.

    - #### setNLnnMod

          public void setNLnnMod(int field_11_nLnnMod)

      Set the nLnnMod field for the SEP record.

    - #### getDxaLnn

          public int getDxaLnn()

      Get the dxaLnn field for the SEP record.

    - #### setDxaLnn

          public void setDxaLnn(int field_12_dxaLnn)

      Set the dxaLnn field for the SEP record.

    - #### getDxaPgn

          public int getDxaPgn()

      Get the dxaPgn field for the SEP record.

    - #### setDxaPgn

          public void setDxaPgn(int field_13_dxaPgn)

      Set the dxaPgn field for the SEP record.

    - #### getDyaPgn

          public int getDyaPgn()

      Get the dyaPgn field for the SEP record.

    - #### setDyaPgn

          public void setDyaPgn(int field_14_dyaPgn)

      Set the dyaPgn field for the SEP record.

    - #### getFLBetween

          public boolean getFLBetween()

      Get the fLBetween field for the SEP record.

    - #### setFLBetween

          public void setFLBetween(boolean field_15_fLBetween)

      Set the fLBetween field for the SEP record.

    - #### getVjc

          public byte getVjc()

      Get the vjc field for the SEP record.

    - #### setVjc

          public void setVjc(byte field_16_vjc)

      Set the vjc field for the SEP record.

    - #### getDmBinFirst

          public int getDmBinFirst()

      Get the dmBinFirst field for the SEP record.

    - #### setDmBinFirst

          public void setDmBinFirst(int field_17_dmBinFirst)

      Set the dmBinFirst field for the SEP record.

    - #### getDmBinOther

          public int getDmBinOther()

      Get the dmBinOther field for the SEP record.

    - #### setDmBinOther

          public void setDmBinOther(int field_18_dmBinOther)

      Set the dmBinOther field for the SEP record.

    - #### getDmPaperReq

          public int getDmPaperReq()

      Get the dmPaperReq field for the SEP record.

    - #### setDmPaperReq

          public void setDmPaperReq(int field_19_dmPaperReq)

      Set the dmPaperReq field for the SEP record.

    - #### getBrcTop

          public BorderCode getBrcTop()

      Get the brcTop field for the SEP record.

    - #### setBrcTop

          public void setBrcTop(BorderCode field_20_brcTop)

      Set the brcTop field for the SEP record.

    - #### getBrcLeft

          public BorderCode getBrcLeft()

      Get the brcLeft field for the SEP record.

    - #### setBrcLeft

          public void setBrcLeft(BorderCode field_21_brcLeft)

      Set the brcLeft field for the SEP record.

    - #### getBrcBottom

          public BorderCode getBrcBottom()

      Get the brcBottom field for the SEP record.

    - #### setBrcBottom

          public void setBrcBottom(BorderCode field_22_brcBottom)

      Set the brcBottom field for the SEP record.

    - #### getBrcRight

          public BorderCode getBrcRight()

      Get the brcRight field for the SEP record.

    - #### setBrcRight

          public void setBrcRight(BorderCode field_23_brcRight)

      Set the brcRight field for the SEP record.

    - #### getFPropMark

          public boolean getFPropMark()

      Get the fPropMark field for the SEP record.

    - #### setFPropMark

          public void setFPropMark(boolean field_24_fPropMark)

      Set the fPropMark field for the SEP record.

    - #### getIbstPropRMark

          public int getIbstPropRMark()

      Get the ibstPropRMark field for the SEP record.

    - #### setIbstPropRMark

          public void setIbstPropRMark(int field_25_ibstPropRMark)

      Set the ibstPropRMark field for the SEP record.

    - #### getDttmPropRMark

          public DateAndTime getDttmPropRMark()

      Get the dttmPropRMark field for the SEP record.

    - #### setDttmPropRMark

          public void setDttmPropRMark(DateAndTime field_26_dttmPropRMark)

      Set the dttmPropRMark field for the SEP record.

    - #### getDxtCharSpace

          public int getDxtCharSpace()

      Get the dxtCharSpace field for the SEP record.

    - #### setDxtCharSpace

          public void setDxtCharSpace(int field_27_dxtCharSpace)

      Set the dxtCharSpace field for the SEP record.

    - #### getDyaLinePitch

          public int getDyaLinePitch()

      Get the dyaLinePitch field for the SEP record.

    - #### setDyaLinePitch

          public void setDyaLinePitch(int field_28_dyaLinePitch)

      Set the dyaLinePitch field for the SEP record.

    - #### getClm

          public int getClm()

      Get the clm field for the SEP record.

    - #### setClm

          public void setClm(int field_29_clm)

      Set the clm field for the SEP record.

    - #### getUnused2

          public int getUnused2()

      Get the unused2 field for the SEP record.

    - #### setUnused2

          public void setUnused2(int field_30_unused2)

      Set the unused2 field for the SEP record.

    - #### getDmOrientPage

          public boolean getDmOrientPage()

      Get the dmOrientPage field for the SEP record.
      Returns:
        One of
    - `DMORIENTPAGE_LANDSCAPE`
    - `DMORIENTPAGE_PORTRAIT`

    - #### setDmOrientPage

          public void setDmOrientPage(boolean field_31_dmOrientPage)

      Set the dmOrientPage field for the SEP record.
      Parameters:
        `field_31_dmOrientPage` - One of
    - `DMORIENTPAGE_LANDSCAPE`
    - `DMORIENTPAGE_PORTRAIT`

    - #### getIHeadingPgn

          public byte getIHeadingPgn()

      Get the iHeadingPgn field for the SEP record.

    - #### setIHeadingPgn

          public void setIHeadingPgn(byte field_32_iHeadingPgn)

      Set the iHeadingPgn field for the SEP record.

    - #### getPgnStart

          public int getPgnStart()

      Get the pgnStart field for the SEP record.

    - #### setPgnStart

          public void setPgnStart(int field_33_pgnStart)

      Set the pgnStart field for the SEP record.

    - #### getLnnMin

          public int getLnnMin()

      Get the lnnMin field for the SEP record.

    - #### setLnnMin

          public void setLnnMin(int field_34_lnnMin)

      Set the lnnMin field for the SEP record.

    - #### getWTextFlow

          public int getWTextFlow()

      Get the wTextFlow field for the SEP record.

    - #### setWTextFlow

          public void setWTextFlow(int field_35_wTextFlow)

      Set the wTextFlow field for the SEP record.

    - #### getUnused3

          public short getUnused3()

      Get the unused3 field for the SEP record.

    - #### setUnused3

          public void setUnused3(short field_36_unused3)

      Set the unused3 field for the SEP record.

    - #### getPgbProp

          public int getPgbProp()

      Get the pgbProp field for the SEP record.

    - #### setPgbProp

          public void setPgbProp(int field_37_pgbProp)

      Set the pgbProp field for the SEP record.

    - #### getUnused4

          public short getUnused4()

      Get the unused4 field for the SEP record.

    - #### setUnused4

          public void setUnused4(short field_38_unused4)

      Set the unused4 field for the SEP record.

    - #### getXaPage

          public int getXaPage()

      Get the xaPage field for the SEP record.

    - #### setXaPage

          public void setXaPage(int field_39_xaPage)

      Set the xaPage field for the SEP record.

    - #### getYaPage

          public int getYaPage()

      Get the yaPage field for the SEP record.

    - #### setYaPage

          public void setYaPage(int field_40_yaPage)

      Set the yaPage field for the SEP record.

    - #### getXaPageNUp

          public int getXaPageNUp()

      Get the xaPageNUp field for the SEP record.

    - #### setXaPageNUp

          public void setXaPageNUp(int field_41_xaPageNUp)

      Set the xaPageNUp field for the SEP record.

    - #### getYaPageNUp

          public int getYaPageNUp()

      Get the yaPageNUp field for the SEP record.

    - #### setYaPageNUp

          public void setYaPageNUp(int field_42_yaPageNUp)

      Set the yaPageNUp field for the SEP record.

    - #### getDxaLeft

          public int getDxaLeft()

      Get the dxaLeft field for the SEP record.

    - #### setDxaLeft

          public void setDxaLeft(int field_43_dxaLeft)

      Set the dxaLeft field for the SEP record.

    - #### getDxaRight

          public int getDxaRight()

      Get the dxaRight field for the SEP record.

    - #### setDxaRight

          public void setDxaRight(int field_44_dxaRight)

      Set the dxaRight field for the SEP record.

    - #### getDyaTop

          public int getDyaTop()

      Get the dyaTop field for the SEP record.

    - #### setDyaTop

          public void setDyaTop(int field_45_dyaTop)

      Set the dyaTop field for the SEP record.

    - #### getDyaBottom

          public int getDyaBottom()

      Get the dyaBottom field for the SEP record.

    - #### setDyaBottom

          public void setDyaBottom(int field_46_dyaBottom)

      Set the dyaBottom field for the SEP record.

    - #### getDzaGutter

          public int getDzaGutter()

      Get the dzaGutter field for the SEP record.

    - #### setDzaGutter

          public void setDzaGutter(int field_47_dzaGutter)

      Set the dzaGutter field for the SEP record.

    - #### getDyaHdrTop

          public int getDyaHdrTop()

      Get the dyaHdrTop field for the SEP record.

    - #### setDyaHdrTop

          public void setDyaHdrTop(int field_48_dyaHdrTop)

      Set the dyaHdrTop field for the SEP record.

    - #### getDyaHdrBottom

          public int getDyaHdrBottom()

      Get the dyaHdrBottom field for the SEP record.

    - #### setDyaHdrBottom

          public void setDyaHdrBottom(int field_49_dyaHdrBottom)

      Set the dyaHdrBottom field for the SEP record.

    - #### getCcolM1

          public int getCcolM1()

      Get the ccolM1 field for the SEP record.

    - #### setCcolM1

          public void setCcolM1(int field_50_ccolM1)

      Set the ccolM1 field for the SEP record.

    - #### getFEvenlySpaced

          public boolean getFEvenlySpaced()

      Get the fEvenlySpaced field for the SEP record.

    - #### setFEvenlySpaced

          public void setFEvenlySpaced(boolean field_51_fEvenlySpaced)

      Set the fEvenlySpaced field for the SEP record.

    - #### getUnused5

          public byte getUnused5()

      Get the unused5 field for the SEP record.

    - #### setUnused5

          public void setUnused5(byte field_52_unused5)

      Set the unused5 field for the SEP record.

    - #### getDxaColumns

          public int getDxaColumns()

      Get the dxaColumns field for the SEP record.

    - #### setDxaColumns

          public void setDxaColumns(int field_53_dxaColumns)

      Set the dxaColumns field for the SEP record.

    - #### getRgdxaColumn

          public int[] getRgdxaColumn()

      Get the rgdxaColumn field for the SEP record.

    - #### setRgdxaColumn

          public void setRgdxaColumn(int[] field_54_rgdxaColumn)

      Set the rgdxaColumn field for the SEP record.

    - #### getDxaColumnWidth

          public int getDxaColumnWidth()

      Get the dxaColumnWidth field for the SEP record.

    - #### setDxaColumnWidth

          public void setDxaColumnWidth(int field_55_dxaColumnWidth)

      Set the dxaColumnWidth field for the SEP record.

    - #### getDmOrientFirst

          public byte getDmOrientFirst()

      Get the dmOrientFirst field for the SEP record.

    - #### setDmOrientFirst

          public void setDmOrientFirst(byte field_56_dmOrientFirst)

      Set the dmOrientFirst field for the SEP record.

    - #### getFLayout

          public byte getFLayout()

      Get the fLayout field for the SEP record.

    - #### setFLayout

          public void setFLayout(byte field_57_fLayout)

      Set the fLayout field for the SEP record.

    - #### getUnused6

          public short getUnused6()

      Get the unused6 field for the SEP record.

    - #### setUnused6

          public void setUnused6(short field_58_unused6)

      Set the unused6 field for the SEP record.

    - #### getOlstAnm

          public byte[] getOlstAnm()

      Get the olstAnm field for the SEP record.

    - #### setOlstAnm

          public void setOlstAnm(byte[] field_59_olstAnm)

      Set the olstAnm field for the SEP record.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.